<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <header class="entry-header">

        <?php the_title('<h1 class="entry-title">', '</h1>'); ?>

        <div class="entry-meta">
            <?php instock_lite_post_meta(); ?>
        </div>

    </header>

    <?php if (has_post_thumbnail()) : ?>
        <div class="post-thumbnail">
            <?php
            the_post_thumbnail('post-thumbnail', array(
                'alt' => the_title_attribute(array(
                    'echo' => false,
                )),
            ));
            ?>
        </div>
    <?php endif; ?>

    <div class="entry-content">

        <?php the_content(); ?>
        <?php
        wp_link_pages(array(
            'before' => '<div class="page-links">' . esc_html__('Pages:', 'instock-lite'),
            'after'  => '</div>',
        ));
        ?>

    </div>

    <footer class="entry-footer">

        <?php
        $get_tags = get_the_tags();
        if ($get_tags) :
        ?>
            <span class="tag-links">
                <span class="tag-title block-title"><?php _e('Topics', 'instock-lite'); ?></span>
                <?php foreach ($get_tags as $instock_lite_tag) : ?>
                    <a href="<?php echo esc_url(get_tag_link($instock_lite_tag->term_id)); ?>">#<?php echo esc_html($instock_lite_tag->name); ?></a>
                <?php endforeach; ?>
            </span>
        <?php endif; ?>

    </footer>

</article><!-- #post-## -->
