<?php if (has_nav_menu('menu-1')) : ?>
    <nav class="main-navigation" id="site-navigation">
        <button class="menu-toggle" aria-controls="main-navigation" aria-expanded="false" type="button">
            <span aria-hidden="true"><?php _e('Menu', 'instock-lite'); ?></span>
            <i class="icon-menu" aria-hidden="true"></i>
        </button>

        <?php wp_nav_menu(
            array(
                'theme_location' => 'menu-1',
                'container' => 'ul',
                'menu_id' => 'primary-menu',
                'menu_class' => 'primary-menu menu',
            )
        ); ?>

        <div class="right-navigation">
            <?php if (instock_lite_is_woocommerce_activated()) instock_lite_wc_account_link(); ?>
            <?php if (instock_lite_is_woocommerce_activated()) instock_lite_wc_header_cart(); ?>
            <?php get_template_part('partials/menu/search'); ?>
        </div>

    </nav>
<?php endif; ?>
